Skia uses an integer size for the PDF page size in points. The width of an A3 page should be 42 cm = (/2.54) 16.535433071 in = (x 72) 1190.551181112 pt. Skia rounds it to 1191 pt, which may explain the white margin on the right. For comparison, LibreOffice produces a PDF size of 1190.55 x 841.89 pts for an A3 page.

https://source.chromium.org/chromium/chromium/src/+/main:third_party/skia/src/pdf/SkPDFDevice.h;drc=80d0291f109d2b8349b264b45920fbd0616ba2e7;l=63